# -*- coding: utf-8 -*-
###############################################################################
#
#    Copyright (c) 2020 Eynes/E-MIPS
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################

{
    "name": "Medical Benefit",
    "category": "Others",
    "version": "12.0.1.0.0",
    "author": "Eynes/E-MIPS",
    "license": "AGPL-3",
    "description": "Medical Benefits",
    "depends": [
        "health_insurance",
        "medical_staff",
    ],
    "data": [
        "data/data.xml",
        "security/ir.model.access.csv",
        "views/lot_number_view.xml",
        "views/descriptor_view.xml",
        "views/tariff_view.xml",
        "views/health_insurance_view.xml",
        "views/res_partner_view.xml",
        "wizard/benefit_insurance_change_wizard_view.xml",
        "views/benefit_view.xml",
        "views/validator_view.xml",
        "views/res_users_views.xml",
        "wizard/tariff_import_wizard_view.xml",
        "wizard/validate_benefit_wizard_view.xml",
        "wizard/group_benefits_wizard_view.xml",
        "views/menuitems.xml",
        "report/benefits_report_template.xml",
        "report/benefits_report_view.xml",
        "data/reset_ln_ir_cron.xml",
    ],
    "qweb": ['static/src/xml/*.xml'],
    "installable": True,
    "application": True,
}
