# -*- coding: utf-8 -*-
###############################################################################
#   Copyright (c) 2019 Eynes S.R.L (Marco Folco)
#   License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
###############################################################################

import logging
import datetime

from odoo import models, fields, api, _
from odoo.exceptions import ValidationError, UserError

_logger = logging.getLogger(__name__)


class HealthInsurancePlan(models.Model):
    _inherit = 'health.insurance.plan'

    lot_number_ids = fields.One2many('lot.number', 'insurance_plan_id', 'Assigned lot numbers')
    last_lot_number_id = fields.Many2one('lot.number', 'Last assigned lot number')

