# -*- coding: utf-8 -*-
###############################################################################
#   Copyright (c) 2020 Eynes / E-Mips (Marco Folco)
#   License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
###############################################################################

import logging
import base64
import csv
import io
import resource

from odoo import models, api, fields, _, exceptions
from odoo.tools import config
# from odoo.exceptions import except_orm
# from odoo.addons.decimal_precision import decimal_precision as dp
# from odoo.tools import DEFAULT_SERVER_DATE_FORMAT, \
#         DEFAULT_SERVER_DATETIME_FORMAT, float_compare


_logger = logging.getLogger(__name__)

class WizardBenefitInsuranceChange(models.TransientModel):
    _name = 'wizard.benefit.insurance.change'
    _description = 'Massive Medical Benefit Insurance Change'

    insurance_id = fields.Many2one('health.insurance.plan','Insurance')

    @api.multi
    def button_change_insurance(self):
        active_ids = self._context.get('active_ids',[]) or []
        for benefit in self.env['medical.benefit'].browse(active_ids):
            benefit.insurance_plan_id = self.insurance_id

 
